Skip to main content
GET
/
organizations
/
{orgId}
/
balancehistory
List organization account balance history
curl --request GET \
  --url https://dashboard.hologram.io/api/1/organizations/{orgId}/balancehistory \
  --header 'Authorization: Basic <encoded-value>'
{
  "continues": true,
  "data": [
    {
      "amount": "0.00",
      "description": "Charge to balance: SIM Renewal (Link ID#1175692 SIM:8901260882277048945 Device:'Kevin Hotspot (48945)')",
      "id": 67461910,
      "linkids": [
        "1175692"
      ],
      "orderid": 0,
      "orgid": 12345,
      "time": "2022-11-01 19:44:27",
      "transaction_type_id": "SR"
    },
    {
      "amount": "0.00",
      "description": "Charge to balance: SIM Renewal (Link ID#1175981 SIM:8901260882277051832 Device:'jung-hotspot! (51832)')",
      "id": 67460447,
      "linkids": [
        "1175981"
      ],
      "orderid": 0,
      "orgid": 12345,
      "time": "2022-11-01 19:22:24",
      "transaction_type_id": "SR"
    }
  ],
  "lastid": 67460447,
  "limit": 2,
  "links": {
    "base": "staging.teamhologram.ninja",
    "next": "/api/1/organizations/12345/balancehistory?limit=2&startafter=67460447",
    "path": "/api/1/organizations/12345/balancehistory"
  },
  "size": 2,
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

orgId
integer
required

Single organization ID.

Example:

1234567

Query Parameters

id
integer
timestart
integer

Start of time range in Unix epoch seconds format.

Example:

1767225600

timeend
number

End of time range in Unix epoch seconds format.

Example:

1769821199

startafter
integer
Example:

102544

transactionTypeId
number
limit
integer

Maximum number of items to return in a single request. For endpoints that support pagination, use this with corresponding /pages endpoints to manage large result sets.

Example:

50

Response

200 - application/json

OK

continues
boolean

Displays if there is another page of results.

Example:

true

data
object[]
limit
integer

The max number of items to return in a single response

Example:

10

size
integer

The number of values returned

Example:

216

success
boolean

Whether the request was successful or not

Example:

true